## CamelNNTPStream

CamelNNTPStream

## Functions

CamelNNTPStream * | camel_nntp_stream_new ()
void | camel_nntp_stream_set_mode ()
gint | camel_nntp_stream_line ()
gint | camel_nntp_stream_gets ()
gint | camel_nntp_stream_getd ()

## Types and Values

struct | CamelNNTPStream
enum | camel_nntp_stream_mode_t

## Object Hierarchy

        GObject
        ╰── CamelStream
            ╰── CamelNNTPStream

## Implemented Interfaces

CamelNNTPStream implements GSeekable.

## Description

## Functions

### camel_nntp_stream_new ()

    CamelNNTPStream *
    camel_nntp_stream_new (CamelStream *source);

### camel_nntp_stream_set_mode ()

    void
    camel_nntp_stream_set_mode (CamelNNTPStream *is,
                                camel_nntp_stream_mode_t mode);

### camel_nntp_stream_line ()

    gint
    camel_nntp_stream_line (CamelNNTPStream *is,
                            guchar **data,
                            guint *len,
                            GCancellable *cancellable,
                            GError **error);

### camel_nntp_stream_gets ()

    gint
    camel_nntp_stream_gets (CamelNNTPStream *is,
                            guchar **start,
                            guint *len,
                            GCancellable *cancellable,
                            GError **error);

### camel_nntp_stream_getd ()

    gint
    camel_nntp_stream_getd (CamelNNTPStream *is,
                            guchar **start,
                            guint *len,
                            GCancellable *cancellable,
                            GError **error);

## Types and Values

### struct CamelNNTPStream

    struct CamelNNTPStream;

### enum camel_nntp_stream_mode_t

#### Members

CAMEL_NNTP_STREAM_LINE |  |
CAMEL_NNTP_STREAM_DATA |  |
CAMEL_NNTP_STREAM_EOD |  |